using System;

namespace SmallInjectorDemo
{
    /// <summary>
    /// Implementation of <see cref="IServiceOne"/>.
    /// </summary>
    public class ServiceOne : IServiceOne
    {
        private const string MyName = nameof(ServiceOne);
        private readonly Guid _guid;

        /// <summary>
        /// Creates a new instance of <see cref="ServiceOne"/>.
        /// </summary>
        public ServiceOne()
        {
            _guid = Guid.NewGuid();
            Console.WriteLine(MyName + ".ctor\t\tId: " + _guid);
        }

        /// <inheritdoc />
        public override string ToString() => MyName + ".ToString()\tId: " + _guid;
    }

    /// <summary>
    /// Interface for service one.
    /// </summary>
    public interface IServiceOne
    {

    }
}